%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 1ec79283841336d80079d6442326391a

Summary: Faster access to applications, bookmarks, and other items
Name: katapult
Version: 0.3.2.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://katapult.kde.org/
Group: User Interface/Desktops
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils

%description
Katapult is an application for KDE, designed to allow faster access to
applications, bookmarks, and other items. It is plugin-based, so it can
launch anything that is has a plugin for. Its display is driven by
plugins as well, so its appearance is completely customizable. It was
inspired by Quicksilver for OS X.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category X-KDE-Utilities-Desktop \
  %{buildroot}%{_datadir}/applications/kde/katapult.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL katapult/COPYING-DOCS
%{_bindir}/katapult
%{_libdir}/kde3/katapult_*.la
%{_libdir}/kde3/katapult_*.so
%{_libdir}/libkatapult.la
%{_libdir}/libkatapult.so*
%{_datadir}/applications/kde/katapult.desktop
%{_datadir}/doc/HTML/en/katapult
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/katapult.mo
%{_datadir}/services/katapult_*.desktop
%{_datadir}/servicetypes/katapult*.desktop

%changelog
* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2.1-1m)
- version 0.3.2.1
- update desktop.patch

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1.4-1m)
- initial package for Momonga Linux
